local BoxTallyMode = CrashAddon.BoxTallyMode

local function BoxTallyHUD(v, player, cam)
	if BoxTallyMode() and CrashAddon.boxtotal > 0 and CrashAddon.isvalidlevel
			and leveltime
		local flags = V_MONOSPACE | V_SNAPTORIGHT | V_ALLOWLOWERCASE | 
				V_PERPLAYER
		//shows how many boxes have been broken vs how many there are total
		local sflags = flags
		if CrashAddon.boxcount > 0
			sflags = $ | V_ORANGEMAP
		end
		local tallyup = (CrashAddon.boxtotal - CrashAddon.boxcount) .. "/" .. 
				CrashAddon.boxtotal
		v.drawString(300, 5, "Boxes: " .. tallyup, sflags, "right")
		//if box pointer is enabled, show distance of closest box
		if CrashAddon.globalpointer and player.crash_boxpointer and
				player.crash_boxcompass and player.crash_boxcompass.valid
			local dist = player.crash_boxcompass.closedist / FRACUNIT
			local hflags = flags
			if dist <= 1000
				hflags = $ | V_REDMAP
			elseif dist <= 3000
				hflags = $ | V_YELLOWMAP
			elseif dist <= 7500
				hflags = $ | V_GREENMAP
			else
				hflags = $ | V_GRAYMAP
			end
			v.drawString(300, 20, "Closest: " .. dist .. "fu", hflags, "right")
		end
	end
end
hud.add(BoxTallyHUD, "game")