//initializing all the custom sound effects and their captions
freeslot("sfx_cshflp", "sfx_akuded", "sfx_akuspn", "sfx_cshpew", "sfx_ashcsh", 
		"sfx_cshxry", "sfx_cshfrz", "sfx_crdrwn", "sfx_cshfal", "sfx_woah", 
		"sfx_cshsld", "sfx_cshspn", "sfx_cshft1", "sfx_cshft2", "sfx_boxbrk", 
		"sfx_ntrbnc", "sfx_tntcnt", "sfx_boxbnc", "sfx_swchht", "sfx_cshlfe", 
		"sfx_cshlgo")
sfxinfo[sfx_cshflp].caption = "Pre-slam"
sfxinfo[sfx_akuded].caption = "Aku-Aku got hit!"
sfxinfo[sfx_akuspn].caption = "Aku-Aku power up"
sfxinfo[sfx_cshpew].caption = "Flung'd!"
sfxinfo[sfx_ashcsh].caption = "Someone overcooked a marsupial"
sfxinfo[sfx_cshxry].caption = "How shocking..."
sfxinfo[sfx_cshfrz].caption = "Frozen in space"
sfxinfo[sfx_crdrwn].caption = "Crash meets Davy Jones"
sfxinfo[sfx_cshfal].caption = "'HELP!'"
sfxinfo[sfx_woah].caption = "woah"
sfxinfo[sfx_cshsld].caption = "Sliding"
sfxinfo[sfx_cshspn].caption = "Tornado Spin"
sfxinfo[sfx_cshft1].caption = "Footsteps 1"
sfxinfo[sfx_cshft2].caption = "Footsteps 2"
sfxinfo[sfx_boxbrk].caption = "Box break"
sfxinfo[sfx_ntrbnc].caption = "Nitro box bouncing"
sfxinfo[sfx_tntcnt].caption = "TNT box counting down..."
sfxinfo[sfx_boxbnc].caption = "Ring box bounce"
sfxinfo[sfx_swchht].caption = "Nitro switch activated"
sfxinfo[sfx_cshlfe].caption = "Crash 1-Up"
sfxinfo[sfx_cshlgo].caption = "lego_scatter.mp3"

//freesloting custom sprites
freeslot("SPR_AKU_", "SPR_BLBX", "SPR_NTBX", "SPR_TNBX", "SPR_TNBK", "SPR_AKBX", 
		"SPR_RGBX", "SPR_NTST", "SPR_SWSM", "SPR_BPTR", "SPR_CGIB", "SPR_BNBX", 
		"SPR_BNST")

//initializing custom states
freeslot("S_AKU_IDLE", "S_CRASH_BLANK", "S_BLANKBOX1", "S_BLANKBOX2", 
		"S_NITROBOX", "S_TNTBOX", "S_TNTCOUNT", "S_BLANKTNT", "S_AKU_BOX", 
		"S_RINGCRATE", "S_RINGBOXHIT", "S_NITROSTEEL", "S_BLANKSTEEL", 
		"S_SWITCHPOINT", "S_BOXPOINTER", "S_CRASHBITS", "S_BOUNCEBOX", 
		"S_BOUNCEBOXHIT", "S_BOUNCESTEEL", "S_BOUNCESTEELHIT")
states[S_AKU_IDLE] = {
	sprite = SPR_AKU_,
	frame = A,
	tics = -1,
	nextstate = S_AKU_IDLE
}
states[S_CRASH_BLANK] = {
	tics = 38
}
states[S_BLANKBOX1] = {
	sprite = SPR_BLBX,
	frame = A,
	tics = -1,
	nextstate = S_BLANKBOX1
}
states[S_BLANKBOX2] = {
	sprite = SPR_BLBX,
	frame = A,
	tics = 1,
	nextstate = S_CRASH_BLANK,
	action = A_MonitorPop
}
states[S_NITROBOX] = {
	sprite = SPR_NTBX,
	frame = A,
	tics = -1,
	nextstate = S_NITROBOX
}
states[S_TNTBOX] = {
	sprite = SPR_TNBX,
	frame = A,
	tics = -1,
	nextstate = S_TNTBOX
}
states[S_TNTCOUNT] = {
	sprite = SPR_TNBK,
	frame = FF_ANIMATE|A,
	tics = 105,
	var1 = 3,
	var2 = 35,
	nextstate = S_BLANKTNT
}
states[S_BLANKTNT] = {
	tics = 1
}
states[S_AKU_BOX] = {
	sprite = SPR_AKBX,
	frame = A,
	tics = -1,
	nextstate = S_AKU_BOX
}
states[S_RINGCRATE] = {
	sprite = SPR_RGBX,
	frame = A,
	tics = -1,
	nextstate = S_RINGCRATE
}
states[S_RINGBOXHIT] = {
	sprite = SPR_RGBX,
	frame = A,
	tics = 2,
	nextstate = S_RINGCRATE
}
states[S_NITROSTEEL] = {
	sprite = SPR_NTST,
	frame = A,
	tics = -1,
	nextstate = S_NITROSTEEL
}
states[S_BLANKSTEEL] = {
	sprite = SPR_NTST,
	frame = B,
	tics = -1,
	action = A_GoldMonitorPop,
	nextstate = S_BLANKSTEEL
}
states[S_SWITCHPOINT] = {
	sprite = SPR_SWSM,
	frame = A,
	tics = -1,
	nextstate = S_SWITCHPOINT
}
states[S_BOXPOINTER] = {
	sprite = SPR_BPTR,
	frame = A | FF_FULLBRIGHT,
	tics = -1,
	nextstate = S_BOXPOINTER
}
states[S_CRASHBITS] = {
	sprite = SPR_CGIB,
	tics = -1,
	nextstate = S_CRASHBITS
}
states[S_BOUNCEBOX] = {
	sprite = SPR_BNBX,
	frame = A,
	tics = -1,
	nextstate = S_BOUNCEBOX
}
states[S_BOUNCEBOXHIT] = {
	sprite = SPR_BNBX,
	frame = A,
	tics = 2,
	nextstate = S_BOUNCEBOX
}
states[S_BOUNCESTEEL] = {
	sprite = SPR_BNST,
	frame = A,
	tics = -1,
	nextstate = S_BOUNCESTEEL
}
states[S_BOUNCESTEELHIT] = {
	sprite = SPR_BNST,
	frame = A,
	tics = 2,
	nextstate = S_BOUNCESTEEL
}

//initializing all the custom objects used
freeslot("MT_AKUAKU", "MT_BLANKBOX", "MT_NITROBOX", "MT_TNTBOX", "MT_AKUAKUBOX", 
		"MT_RINGCRATE", "MT_NITROSTEEL", "MT_SWITCHPOINT", "MT_BOXPOINTER", 
		"MT_CRASHBITS", "MT_CRASHCORPSE", "MT_BOUNCEBOX", "MT_BOUNCESTEEL")
mobjinfo[MT_AKUAKU] = {
	spawnstate = S_AKU_IDLE,
	spawnhealth = 1,
	seestate = S_AKU_IDLE,
	speed = 8 * FRACUNIT,
	radius = 5 * FRACUNIT,
	height = 10 * FRACUNIT,
	flags = MF_NOCLIP|MF_NOGRAVITY|MF_SCENERY|MF_NOCLIPHEIGHT
}
mobjinfo[MT_BLANKBOX] = {
	doomednum = 4030,
	spawnstate = S_BLANKBOX1,
	spawnhealth = 1,
	seestate = S_BLANKBOX1,
	deathstate = S_BLANKBOX2,
	deathsound = sfx_boxbrk,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_NITROBOX] = {
	doomednum = 4031,
	spawnstate = S_NITROBOX,
	spawnhealth = 1,
	seestate = S_NITROBOX,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_TNTBOX] = {
	doomednum = 4032,
	spawnstate = S_TNTBOX,
	spawnhealth = 1,
	seestate = S_TNTBOX,
	deathstate = S_BLANKTNT,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_AKUAKUBOX] = {
	doomednum = 4033,
	spawnstate = S_AKU_BOX,
	spawnhealth = 1,
	seestate = S_AKU_BOX,
	deathstate = S_BLANKBOX2,
	deathsound = sfx_boxbrk,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_RINGCRATE] = {
	doomednum = 4034,
	spawnstate = S_RINGCRATE,
	spawnhealth = 1,
	seestate = S_RINGCRATE,
	deathstate = S_BLANKBOX2,
	deathsound = sfx_boxbrk,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_NITROSTEEL] = {
	spawnstate = S_NITROSTEEL,
	spawnhealth = 1,
	seestate = S_NITROSTEEL,
	deathstate = S_BLANKSTEEL,
	deathsound = sfx_swchht,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_SWITCHPOINT] = {
	spawnstate = S_SWITCHPOINT,
	spawnhealth = 1,
	seestate = S_SWITCHPOINT,
	speed = 5 * FRACUNIT,
	radius = 2 * FRACUNIT,
	height = 10 * FRACUNIT,
	flags = MF_NOCLIP|MF_NOGRAVITY|MF_SCENERY|MF_NOCLIPHEIGHT
}
mobjinfo[MT_BOXPOINTER] = {
	spawnstate = S_BOXPOINTER,
	spawnhealth = 1,
	seestate = S_BOXPOINTER,
	speed = 0,
	radius = 5 * FRACUNIT,
	height = 10 * FRACUNIT,
	flags = MF_NOCLIP|MF_NOGRAVITY|MF_SCENERY|MF_NOCLIPHEIGHT
}
mobjinfo[MT_CRASHBITS] = {
	spawnstate = S_CRASHBITS,
	spawnhealth = 1,
	seestate = S_CRASHBITS,
	radius = 5 * FRACUNIT,
	height = 10 * FRACUNIT,
	mass = 100,
	flags = MF_SOLID|MF_BOUNCE
}
mobjinfo[MT_CRASHCORPSE] = {
	spawnstate = S_INVISIBLE,
	radius = 25 * FRACUNIT,
	height = 50 * FRACUNIT,
	mass = 100,
	flags = MF_BOUNCE
}
mobjinfo[MT_BOUNCEBOX] = {
	doomednum = 4035,
	spawnstate = S_BOUNCEBOX,
	spawnhealth = 1,
	seestate = S_BOUNCEBOX,
	deathstate = S_BLANKBOX2,
	deathsound = sfx_boxbrk,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}
mobjinfo[MT_BOUNCESTEEL] = {
	doomednum = 4036,
	spawnstate = S_BOUNCESTEEL,
	spawnhealth = 1,
	seestate = S_BOUNCESTEEL,
	deathstate = S_BOUNCESTEEL,
	radius = 20 * FRACUNIT,
	height = 45 * FRACUNIT,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}