local CrashSkinCheck = CrashAddon.CrashSkinCheck
local FailVibeCheck = CrashAddon.FailVibeCheck
local ActionButton = CrashAddon.ActionButton
local CootOnGround = CrashAddon.CootOnGround

//a fairly simple implementation of the crash dash
CrashAddon.CrashDash = function(player)
	if not CrashSkinCheck(player)
		return
	end
	
	local crashban = player.crashban
	//this resets everything and prevents moves if crash fails the vibe check
	if FailVibeCheck(player)
		player.crashdash = false
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.acceleration = skins[player.mo.skin].acceleration
		return
	end
	
	if player.cmd.buttons & BT_CUSTOM2 and CootOnGround(player.mo) and
			not (crashban.actionpress or player.powers[pw_sneakers])
		if not crashban.crashdash
			player.normalspeed = skins[player.mo.skin].normalspeed + 
					15 * FRACUNIT
			player.acceleration = skins[player.mo.skin].acceleration * 2
			crashban.crashdash = true
		end
	elseif not crashban.actionpress and crashban.crashdash
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.acceleration = skins[player.mo.skin].acceleration
		crashban.crashdash = false
	end
end