//handles ring handout and death of ring crate
local function RingBoxHit(target, inflictor)
	if target.ringhealth == nil
		target.ringhealth = 5
	end
	if inflictor and inflictor.valid
		if (inflictor.type == MT_PLAYER and inflictor.player) and 
				(inflictor.player.pflags & PF_JUMPED or 
				inflictor.state == S_PLAY_SPRING or 
				inflictor.state == S_PLAY_FALL)
			target.state = S_RINGBOXHIT
			P_GivePlayerRings(inflictor.player, 2)
			S_StartSound(inflictor, sfx_itemup)
			inflictor.momz = $ * -1
			S_StartSound(target, sfx_boxbnc)
			target.ringhealth = $ - 1
			if target.ringhealth > 0
				return false
			else
				return true
			end
		else
			return true
		end
	end
end

//this prevents the monitor from bouncing up while the player is bouncing on it
local function BoxNoBounce(mo)
	if mo.state == S_RINGBOXHIT or mo.state == S_BOUNCEBOXHIT or
			mo.state == S_BOUNCESTEELHIT
		A_ForceStop(mo, 0)
	end
end

//hooks
addHook("ShouldDamage", RingBoxHit, MT_RINGCRATE)
addHook("MobjThinker", BoxNoBounce, MT_RINGCRATE)
addHook("MobjThinker", BoxNoBounce, MT_BOUNCEBOX)