local CrashSkinCheck = CrashAddon.CrashSkinCheck
local JumpManager = CrashAddon.JumpManager
local ObjectSpawner = CrashAddon.ObjectSpawner

//another function ported from Emmette, modified for Crash's needs
local function DustSpawner(orimo, dist)
	local dustmo = MT_NULL
	if orimo.eflags & MFE_UNDERWATER or orimo.eflags & MFE_GOOWATER
		dustmo = MT_MEDIUMBUBBLE
	else
		dustmo = MT_ARIDDUST
	end
	ObjectSpawner(orimo, dustmo, dist)
	ObjectSpawner(orimo, dustmo, dist * -1)
	ObjectSpawner(orimo, dustmo, 0, dist)
	ObjectSpawner(orimo, dustmo, 0, dist * -1)
end

local function DoubleJump(player)
	if not CrashSkinCheck(player)
		return
	end
	
	local crashban = player.crashban
	if not (player.pflags & PF_THOKKED) and player.mo.state != S_PLAY_SPINDASH
		S_StartSound(player.mo, sfx_jump)
		JumpManager(player.mo, 9 * FRACUNIT)
		player.mo.state = S_PLAY_FLOAT
		DustSpawner(player.mo, 25 * player.mo.scale)
		player.pflags = $ | PF_THOKKED
		crashban.slidejumped = false
	end
end

//hooks
addHook("AbilitySpecial", DoubleJump)