//this handles all the player variables used to make stuff happen
//kinda just yoinked it from pika as well
local CrashSkinCheck = CrashAddon.CrashSkinCheck

local CrashVars = {
	slidetimer = 0,
	spincooldown = 0,
	spinpress = false,
	spintimer = 0,
	glidecounter = 0,
	bodyslam = false,
	hover = -1,
	faceplant = 0,
	woah = false,
	aku = nil,
	akulevel = 1,
	slidejumped = false,
	currentfram = -1,
	crashdash = false,
	actionpress = false,
	invulnmusic = false,
	shoesmusic = false,
	supermusic = false,
	supertrans = false,
	transtimer = -1,
	spinslide = 0,
	ropedrop = false
}

local function DeleteVars(player, pvars)
	if player.crashban == nil
		return
	end
	
	for v, s in pairs(pvars) do
		if player.crashban[v] != nil
			player.crashban[v] = nil
			player.height = skins[player.mo.skin].height
			player.normalspeed = skins[player.mo.skin].normalspeed
			player.acceleration = skins[player.mo.skin].acceleration
		end
	end
end

local function SetVars(player, pvars)
	if not CrashSkinCheck(player)
		DeleteVars(player, pvars)
		return
	end
	if player.crashban == nil
		player.crashban = {}
	end
	for v, s in pairs(pvars) do
		if player.crashban[v] == nil and v != aku
			player.crashban[v] = s
		end
	end
end

//syncs up all the global variables when a new player joins, prevents desyncs
local function SyncVars(network)
	CrashAddon.boxtotal = network($)
	CrashAddon.boxcount = network($)
	CrashAddon.theresnitro = network($)
	CrashAddon.nitrodetonator = network($)
	CrashAddon.boxtallymode = network($)
	CrashAddon.globalpointer = network($)
	CrashAddon.isvalidlevel = network($)
	CrashAddon.boxes = network($)
	CrashAddon.boxprogress = 0
end

//hooks
addHook("PreThinkFrame", function()
	for player in players.iterate do
		SetVars(player, CrashVars)
	end
end)
addHook("PlayerSpawn", function(player)
	DeleteVars(player, CrashVars)
	player.crash_boxcompass = nil
end)
addHook("NetVars", SyncVars)