//just gonna yoink this from Pikaspoop since optimization is good
print("=== Loading Crash Bandicoot, please wait... ===")

--simple command to load files from folders
local path = ""
local loadPath = function(file)
	dofile(path .. "/" .. file)
end

//this makes setting up global functions/variables exclusive to Crash much easier
rawset(_G, "CrashAddon", {})

//these are basically the global variables that are used in box tally mode
CrashAddon.boxtotal = -1
CrashAddon.boxcount = -1
CrashAddon.theresnitro = false
CrashAddon.nitrodetonator = -1
CrashAddon.boxtallymode = true
CrashAddon.easymultiplayer = false
CrashAddon.boxprogress = 0
CrashAddon.crashmap = false
//global variables for the radar function
CrashAddon.globalpointer = true
CrashAddon.isvalidlevel = false
CrashAddon.boxes = {}

//this contains all the important stuff used to make crash function
path = "Library"
loadPath("Assets.lua")
loadPath("Functions.lua")
loadPath("PlayerVars.lua")

//this handles all the functions of the jump button
path = "Jump"
loadPath("DoubleJump.lua")
loadPath("SlideJump.lua")

//this handles all the functions of the spin & custom 1 buttons
path = "SpinOrCust1"
loadPath("TornadoSpinGlide.lua")
loadPath("CrawlAndSlide.lua")
loadPath("BodySlam.lua")

//this handles all the miscellaneous gameplay elements
path = "Misc"
loadPath("CrashDash.lua")
loadPath("HealthSystem.lua")
loadPath("Funnies.lua")
loadPath("SuperForm.lua")

//this handles all the more asthetic stuff that had minimal impact on gameplay
path = "PassiveStuff"
loadPath("Visuals.lua")
loadPath("Sounds.lua")
loadPath("Deaths.lua")

//this is all the thinkers for the custom objects
path = "MobjThinkers"
loadPath("AkuThinker.lua")
loadPath("AkuBoxThinker.lua")
loadPath("BoxThinkers.lua")
loadPath("RingBoxThinker.lua")
loadPath("NitroThinkers.lua")
loadPath("TNTThinker.lua")
loadPath("CorpseThinker.lua")
loadPath("BounceThinkers.lua")

//this is the main box counter and monitor replacement stuff
path = "BoxStuff"
loadPath("TVReplacer.lua")
loadPath("BoxCounter.lua")
loadPath("BoxPointer.lua")

//this loads in all the playerthink functions into one hook
path = "PlayerHook"
loadPath("PlayerThink.lua")

//and this is the box tally hud
path = "HUD"
loadPath("BoxTallyHUD.lua")

path = nil
loadPath = nil

print("=== Crash Bandicoot has been loaded! ===")